package com.aidex.common.app.server;

import com.aidex.common.app.domain.vo.LocationVO;
import com.aidex.common.app.domain.vo.SysWharfVO;
import com.aidex.common.gps.domain.LocationEntity;
import com.aidex.system.domain.SysNotice;
import com.aidex.system.domain.SysWharf;

import java.util.List;

public interface IAppService {

    List<SysNotice> getCarouselList();

    List<SysNotice> getNoticeList();

    SysNotice findCarouselAndNoticeDetails(String id);

    List<SysWharf> findSysWharfList();

    List<LocationEntity> findAllLocation(Boolean direction);

    LocationVO findAllLocationByNext(Boolean direction,String lat, String lon);

    SysWharfVO findNearestStation(String lat, String lng);
}
